# $Id$

PREFIX = /usr
SYSCONFDIR = /etc
BINDIR = $(PREFIX)/bin
SBINDIR = $(PREFIX)/sbin
LIBDIR = $(PREFIX)/lib
DATADIR = $(PREFIX)/share
LOCALSTATEDIR = /var
RUNDIR = /run
CONFDDIR = $(SYSCONFDIR)/conf.d
SSLDIR = ${SYSCONFDIR}/ssl
PIXMAPSDIR = $(DATADIR)/pixmaps
CLIENT_CLASSES =

MCORE_LIBDIR = $(LIBDIR)/mcored
MCORE_CHROOTDIR = $(LOCALSTATEDIR)/lib/mcored
MCORE_CONFIG_PATH = $(SYSCONFDIR)/mcore/config.d
MCORE_DISTRIBUTION = mCore
MCORE_DEFAULT_HOSTNAME = mcore
MCORE_DEFAULT_DOMAIN = mcoredomain.domain
MCORE_DEFAULT_KEYMAP = de
MCORE_UNPRIV_USER = mcore
MCORE_UNPRIV_GROUP = users
MCORE_UNPRIV_HOME = /home/$(MCORE_UNPRIV_USER)
MCORE_CONTROL_SERVER = mcorectl.localdomain.local
MCORE_CERT_FILE = $(SSLDIR)/certs/mcored.pem
MCORE_KEY_FILE = $(SSLDIR)/private/mcored.key
MCORE_SQL_HOST = localhost
MCORE_SQL_DB = mcoredb
MCORE_SQL_USER = mcore
MCORE_SQL_PASS = mc0r3

SYSTEMINIT = systemd
SPLASH = plymouth

CC = gcc
CHMOD = chmod
INSTALL = install
LN = ln -snf
SED = sed
PKGCONFIG = pkg-config

SCRIPT_SED_LINES = \
		-e "s:@@SYSCONFDIR@@:$(SYSCONFDIR):g" \
		-e "s:@@BINDIR@@:$(BINDIR):g" \
		-e "s:@@SBINDIR@@:$(SBINDIR):g" \
		-e "s:@@LIBDIR@@:$(LIBDIR):g" \
		-e "s:@@DATADIR@@:$(DATADIR):g" \
		-e "s:@@LOCALSTATEDIR@@:$(LOCALSTATEDIR):g" \
		-e "s:@@CONFDDIR@@:$(CONFDDIR):g" \
		-e "s:@@RUNDIR@@:$(RUNDIR):g" \
		-e "s:@@PIXMAPSDIR@@:$(PIXMAPSDIR):g" \
		-e "s:@@SSLDIR@@:$(SSLDIR):g" \
		-e "s:@@MCORE_LIBDIR@@:$(MCORE_LIBDIR):g" \
		-e "s:@@MCORE_CHROOTDIR@@:$(MCORE_CHROOTDIR):g" \
		-e "s:@@MCORE_CONFIG_PATH@@:$(MCORE_CONFIG_PATH):g" \
		-e "s:@@MCORE_DISTRIBUTION@@:$(MCORE_DISTRIBUTION):g" \
		-e "s:@@MCORE_DEFAULT_DOMAIN@@:$(MCORE_DEFAULT_DOMAIN):g" \
		-e "s:@@MCORE_DEFAULT_HOSTNAME@@:$(MCORE_DEFAULT_HOSTNAME):g" \
		-e "s:@@MCORE_DEFAULT_KEYMAP@@:$(MCORE_DEFAULT_KEYMAP):g" \
		-e "s:@@MCORE_CONTROL_SERVER@@:$(MCORE_CONTROL_SERVER):g" \
		-e "s:@@MCORE_CERT_FILE@@:$(MCORE_CERT_FILE):g" \
		-e "s:@@MCORE_KEY_FILE@@:$(MCORE_KEY_FILE):g" \
		-e "s:@@MCORE_UNPRIV_USER@@:$(MCORE_UNPRIV_USER):g" \
		-e "s:@@MCORE_UNPRIV_GROUP@@:$(MCORE_UNPRIV_GROUP):g" \
		-e "s:@@MCORE_UNPRIV_HOME@@:$(MCORE_UNPRIV_HOME):g" \
		-e "s:@@MCORE_SQL_HOST@@:$(MCORE_SQL_HOST):g" \
		-e "s:@@MCORE_SQL_DB@@:$(MCORE_SQL_DB):g" \
		-e "s:@@MCORE_SQL_USER@@:$(MCORE_SQL_USER):g" \
		-e "s:@@MCORE_SQL_PASS@@:$(MCORE_SQL_PASS):g"

SCRIPT_SED_COMMAND = \
	$(SED) \
		$(SCRIPT_SED_LINES) \
		$< > $@

SCRIPT_EXEC_CREATE_COMMAND = \
	$(SCRIPT_SED_COMMAND); \
	$(CHMOD) +x $@

%.conf: %.conf.in
	$(SCRIPT_SED_COMMAND)

%.confd: %.confd.in
	$(SCRIPT_SED_COMMAND)

%.class: %.class.in
	$(SCRIPT_SED_COMMAND)

%.service: %.service.in
	$(SCRIPT_SED_COMMAND)

%.sh: %.sh.in
	$(SCRIPT_EXEC_CREATE_COMMAND)

%.rc: %.rc.in
	$(SCRIPT_EXEC_CREATE_COMMAND)

%: %.in
	$(SCRIPT_EXEC_CREATE_COMMAND)

%: %.o
	$(CC) $($(@:%=%_CFLAGS)) -o $@ $<

%.o: %.c
	$(CC) -c -o $@ $<
